> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Level up a perk

## OpenAPI

````json POST /p2e/players/@me/perks/{id}/level-up
{
  "openapi": "3.0.0",
  "info": {
    "title": "Loyalty API",
    "version": "1.0.0",
    "description": "Combined API documentation. Includes: Player API, Admin API, Redeem Options API, Notifications API"
  },
  "servers": [
    {
      "url": "https://{domain}"
    }
  ],
  "tags": [
    {
      "name": "Admin",
      "description": "Endpoint with unlimited access"
    },
    {
      "name": "Users",
      "description": "Endpoint to get information for one or more users"
    },
    {
      "name": "Tokens",
      "description": "Tokens related endpoints"
    },
    {
      "name": "Perks",
      "description": "Perks related endpoints"
    },
    {
      "name": "System",
      "description": "Not business logic information"
    },
    {
      "name": "Quests",
      "description": "Quests related endpoints"
    },
    {
      "name": "Daily",
      "description": "Daily bonus related endpoints"
    },
    {
      "name": "Rewards",
      "description": "Rewards related endpoints"
    },
    {
      "name": "Achievements",
      "description": "Achievements related endpoints"
    },
    {
      "name": "Segments",
      "description": "Segments related endpoints"
    },
    {
      "name": "Reward Rules",
      "description": "Game rules related endpoints"
    },
    {
      "name": "Level Config",
      "description": "Level config related endpoints"
    },
    {
      "name": "Schedule",
      "description": "Schedule related endpoints"
    },
    {
      "name": "Scheduled Events",
      "description": "Scheduled events related endpoints"
    },
    {
      "name": "Leaderboards",
      "description": "Leaderboards related endpoints"
    },
    {
      "name": "Auth",
      "description": "Authorization"
    },
    {
      "name": "Documentation",
      "description": "Documentation"
    },
    {
      "name": "Feedback",
      "description": "Feedback"
    },
    {
      "name": "File System",
      "description": "File System"
    },
    {
      "name": "I18n",
      "description": "Internationalization"
    },
    {
      "name": "Integrations",
      "description": "Integrations"
    },
    {
      "name": "Permissions",
      "description": "Permissions"
    },
    {
      "name": "Rewarder",
      "description": "Rewarder"
    },
    {
      "name": "Widgets",
      "description": "Widgets"
    },
    {
      "name": "Redeem Options",
      "description": ""
    },
    {
      "name": "Redeem Providers",
      "description": ""
    }
  ],
  "x-readme": {},
  "paths": {
    "/p2e/players/@me/perks/{id}/level-up": {
      "post": {
        "operationId": "PlayerController_levelUpPerk",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "Scrimmage-Version",
            "in": "header",
            "description": "Version",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserPerkDTO"
                }
              }
            }
          },
          "201": {
            "description": ""
          }
        },
        "security": [
          {
            "bearer": []
          }
        ],
        "summary": "Level up a perk",
        "tags": [
          "Player",
          "Perks"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "UserPerkDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "number"
          },
          "userId": {
            "type": "string"
          },
          "active": {
            "type": "boolean"
          },
          "level": {
            "type": "number"
          },
          "config": {
            "$ref": "#/components/schemas/PerkDTO"
          }
        },
        "required": [
          "id",
          "userId",
          "active",
          "level",
          "config"
        ]
      },
      "PerkDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "enabled": {
            "type": "boolean"
          },
          "icon": {
            "type": "string"
          },
          "compatibilityExpression": {
            "type": "string"
          },
          "conditions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ScrimLangRequirementGroupDTO"
            }
          },
          "event": {
            "type": "string"
          },
          "eventType": {
            "type": "string"
          },
          "levels": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "id",
          "name",
          "enabled",
          "icon",
          "compatibilityExpression",
          "conditions",
          "event",
          "eventType",
          "levels"
        ]
      },
      "ScrimLangRequirementGroupDTO": {
        "type": "object",
        "properties": {
          "elements": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ScrimLangRequirementDTO"
            }
          }
        },
        "required": [
          "elements"
        ]
      },
      "ScrimLangRequirementDTO": {
        "type": "object",
        "properties": {
          "path": {
            "type": "string"
          },
          "filter": {
            "$ref": "#/components/schemas/FilterConfigOperatorsDTO"
          },
          "icon": {
            "type": "string"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "path",
          "filter",
          "icon",
          "title"
        ]
      },
      "FilterConfigOperatorsDTO": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string"
          },
          "operator": {
            "type": "string"
          },
          "value": {
            "type": "object"
          }
        },
        "required": [
          "type",
          "operator",
          "value"
        ]
      }
    },
    "securitySchemes": {
      "bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
````

